--- old/usr/src/lib/libmvec/common/__vsin.c	2014-05-11 12:16:38.882538787 +0200
+++ new/usr/src/lib/libmvec/common/__vsin.c	2014-05-11 12:16:38.911344045 +0200
@@ -28,6 +28,7 @@
  */
 
 #include <sys/isa_defs.h>
+#include <sys/ccompile.h>
 
 #ifdef _LITTLE_ENDIAN
 #define HI(x)	*(1+(int*)x)
@@ -78,10 +79,9 @@
 {
 	double		x0_or_one[4], x1_or_one[4], x2_or_one[4];
 	double		y0_or_zero[4], y1_or_zero[4], y2_or_zero[4];
-	double		x0, x1, x2, *py0, *py1, *py2, *xsave, *ysave;
-	unsigned	hx0, hx1, hx2, xsb0, xsb1, xsb2;
-	int			i, biguns, nsave, sxsave, sysave;
-
+	double		x0, x1, x2, *py0 = 0, *py1 = 0, *py2, *xsave, *ysave;
+	unsigned	hx0, hx1, hx2, xsb0, xsb1 = 0, xsb2;
+	int		i, biguns, nsave, sxsave, sysave;
 	nsave = n;
 	xsave = x;
 	sxsave = stridex;
@@ -101,7 +101,6 @@
 		}
 		if ( hx0 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -128,7 +127,6 @@
 		}
 		if ( hx1 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -155,7 +153,6 @@
 		}
 		if ( hx2 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -510,7 +507,7 @@
 	{
 		double		fn0, fn1, fn2, a0, a1, a2, w0, w1, w2, y0, y1, y2;
 		unsigned	hx;
-		int			n0, n1, n2;
+		int		n0, n1, n2;
 
 loop0:
 		hx = HI(x);
@@ -518,7 +515,6 @@
 		hx &= ~0x80000000;
 		if ( hx < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -557,7 +553,6 @@
 		hx &= ~0x80000000;
 		if ( hx < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -596,7 +591,6 @@
 		hx &= ~0x80000000;
 		if ( hx < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
